Subject: PyHoca-GUI 0.5.0.0 for Windows fails to start

From: Mike DePaulo <[email-masked]>
Date: Mon, 20 Oct 2014 17:45:12 -0400

package: pyhoca-gui
version: 0.5.0.0

I am fairly certain I followed the build instructions[1] correctly.
When I try to run Pyhoca-GUI via either the steps listed below (under Git Bash) or via the NSIS-installed start menu shortcut, neither the splash screen nor the tray icon appears.

 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [29] $ pyhoca-gui.exe
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :) [40] $ pyhoca-gui.exe --debug --libdebug
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [30] $ pyhoca-gui.exe --help
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [31] $ pyhoca-gui.exe --version
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui/dist :( [32] $ cd ..
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [33] $ which python
/c/Python27/python
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [34] $ python pyhoca-gui
Traceback (most recent call last):
  File "pyhoca-gui", line 46, in <module>
    app.main(args=args, logger=logger, liblogger=liblogger)
  File "c:\x2gobuilds\pyhoca-gui\pyhoca\wxgui\launcher.py", line 380, in main
    lang = gettext.translation('PyHoca-GUI', localedir=basepath.locale_basepath, languages=[args.lang], )
  File "c:\Python27\lib\gettext.py", line 469, in translation
    raise IOError(ENOENT, 'No translation file found for domain', domain)
IOError: [Errno 2] No translation file found for domain: 'PyHoca-GUI'
Exception KeyError: KeyError(37756240,) in <module 'threading' from 'c:\Python27\lib\threading.pyc'> ignored
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [38] $ python pyhoca-gui --debug --libdebug
Traceback (most recent call last):
  File "pyhoca-gui", line 46, in <module>
    app.main(args=args, logger=logger, liblogger=liblogger)
  File "c:\x2gobuilds\pyhoca-gui\pyhoca\wxgui\launcher.py", line 380, in main
    lang = gettext.translation('PyHoca-GUI', localedir=basepath.locale_basepath, languages=[args.lang], )
  File "c:\Python27\lib\gettext.py", line 469, in translation
    raise IOError(ENOENT, 'No translation file found for domain', domain)
IOError: [Errno 2] No translation file found for domain: 'PyHoca-GUI'
Exception KeyError: KeyError(39202128,) in <module 'threading' from 'c:\Python27\lib\threading.pyc'> ignored
 mike@EXECUTOR:/c/x2gobuilds/pyhoca-gui :) [36] $ python pyhoca-gui --version

pyhoca-gui[6312] - an X2Go GUI client written in Python
- ----------------------------------------------------------------------
developed by Mike Gabriel <[email-masked]>
sponsored by Dick Kniep <[email-masked]> (2010-2013)

VERSION: 0.5.0.0

Exception KeyError: KeyError(38477136,) in <module 'threading' from 'c:\Python27\lib\threading.pyc'> ignored

[1] http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:pyhoca-gui